import { DeepClient } from '@deep-foundation/deeplinks/imports/client.js';
/**
 * React component that manages network state.
 * @param {DeepClient} deep - The DeepClient object instance.
 * @param {number} containerLinkId - The container link id to store network status.
 */
export declare function NetworkStatus({ deep, containerLinkId: passedContainerLinkId }: {
    deep: DeepClient;
    containerLinkId?: number;
}): import("react/jsx-runtime").JSX.Element;
