import { DeepClient } from "@deep-foundation/deeplinks/imports/client.js";
/**
 * Creates a new container link for the network status.
 * @param {DeepClient} deep - The DeepClient object instance.
 * @returns {Promise<number>} A Promise that resolves with the ID of the new container.
 */
export declare function createContainer(deep: DeepClient): Promise<number>;
