import { ConnectionStatus } from '@capacitor/network';
import { DeepClient } from '@deep-foundation/deeplinks/imports/client.js';
export interface IUseNetworkStatusProps {
    deep: DeepClient;
    containerLinkId: number;
}
export declare const useNetworkStatus: ({ deep, containerLinkId }: IUseNetworkStatusProps) => {
    connectionStatuses: ConnectionStatus[];
    subscribeToNetworkStatusChanges: () => Promise<void>;
};
